package com.yd.csf.service.service;

import com.yd.csf.service.dto.PolicyPolicyholderUpdateRequest;
import com.yd.csf.service.model.PolicyPolicyholder;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;
import java.util.Map;

import java.util.List;

/**
* @author Zhang Jianan
* @description 针对表【policy_policyholder(保单投保人信息表)】的数据库操作Service
* @createDate 2025-10-31 11:43:10
*/
public interface PolicyPolicyholderService extends IService<PolicyPolicyholder> {
    /**
     * 更新保单投保人信息
     *
     * @param policyPolicyholderUpdateRequest
     * @return
     */
    boolean update(PolicyPolicyholderUpdateRequest policyPolicyholderUpdateRequest);

    PolicyPolicyholder queryOne(String policyBizId);

    Map<String, PolicyPolicyholder> queryPolicyholderMap(Collection<?> policyNoList);

    List<PolicyPolicyholder> queryList(String policyHolder);

    boolean updateName(String policyBizId,String name);
}
